> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Roles > Gets all the roles in the workspace. ### Changelog | Version | Description | | ---------------- | ------------| |0.73.0 | Added `mandatory2fa` property | |0.70.0 | Added | ## OpenAPI ````json GET /api/v1/roles.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/roles.list": { "get": { "tags": [ "Roles" ], "summary": "Get Roles", "description": "Gets all the roles in the workspace.\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|0.73.0 | Added `mandatory2fa` property |\n|0.70.0 | Added |", "operationId": "get-api-v1-roles.list", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "roles": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "description": { "type": "string" }, "mandatory2fa": { "type": "boolean" }, "protected": { "type": "boolean" }, "scope": { "type": "string" }, "name": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "roles": [ { "_id": "admin", "description": "Admin", "mandatory2fa": "false", "protected": "true", "scope": "Users" }, { "_id": "moderator", "description": "Moderator", "mandatory2fa": "false", "protected": "true", "scope": "Subscriptions" }, { "_id": "leader", "description": "Leader", "mandatory2fa": "false", "protected": "true", "scope": "Subscriptions" }, { "_id": "owner", "description": "Owner", "mandatory2fa": "false", "protected": "true", "scope": "Subscriptions" }, { "_id": "user", "description": "", "mandatory2fa": "false", "protected": "true", "scope": "Users" }, { "_id": "bot", "description": "", "mandatory2fa": "false", "protected": "true", "scope": "Users" }, { "_id": "guest", "description": "", "mandatory2fa": "false", "protected": "true", "scope": "Users" }, { "_id": "anonymous", "description": "", "mandatory2fa": "false", "protected": "true", "scope": "Users" }, { "_id": "livechat-agent", "name": "livechat-agent", "scope": "Users" }, { "_id": "livechat-manager", "name": "livechat-manager", "scope": "Users" }, { "_id": "livechat-guest", "name": "livechat-guest", "scope": "Users" } ], "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" } } } } ````